<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 25/12/2015
 * Time: 2:22 CH
 */
if (!defined('BASEPATH')) exit('No direct script access allowed');

class Crawler extends CI_Controller
{
    public function __construct()
    {
        parent::__construct();
        date_default_timezone_set("Asia/Ho_Chi_Minh");
    }

    /**
     * -----------------------------------------------------------------------------------------------------------------
     * http://localhost/vmusicchart-cms/crawler/getZingMp3Song
     * http://cms.vmusicchart.vn/crawler/getZingMp3Song
     */
    public function getZingMp3Song()
    {
        echo __FUNCTION__;
    }

    /**
     * http://localhost/vmusicchart-cms/crawler/getNctSong
     * http://cms.vmusicchart.vn/crawler/getNctSong
     */
    public function getNctSong()
    {
        echo __FUNCTION__;
    }

    /**
     * http://localhost/vmusicchart-cms/crawler/getKeengSong
     * http://cms.vmusicchart.vn/crawler/getKeengSong
     */
    public function getKeengSong()
    {
        echo __FUNCTION__;
    }

    /**
     * -----------------------------------------------------------------------------------------------------------------
     * http://localhost/vmusicchart-cms/crawler/updateCountViewZingMp3
     * http://cms.vmusicchart.vn/crawler/updateCountViewZingMp3
     */
    public function updateCountViewZingMp3()
    {
        echo __FUNCTION__;
    }

    /**
     * http://localhost/vmusicchart-cms/crawler/updateCountViewNct
     * http://cms.vmusicchart.vn/crawler/updateCountViewNct
     */
    public function updateCountViewNct()
    {
        echo __FUNCTION__;
    }

    /**
     * http://localhost/vmusicchart-cms/crawler/updateCountViewKeeng
     * http://cms.vmusicchart.vn/crawler/updateCountViewKeeng
     */
    public function updateCountViewKeeng()
    {
        echo __FUNCTION__;
    }

    /**
     * -----------------------------------------------------------------------------------------------------------------
     * http://localhost/vmusicchart-cms/crawler/processDailyReport
     * http://cms.vmusicchart.vn/crawler/processDailyReport
     */
    public function processDailyReport()
    {
        echo __FUNCTION__;
    }

    /**
     * http://localhost/vmusicchart-cms/crawler/processWeeklyReport
     * http://cms.vmusicchart.vn/crawler/processWeeklyReport
     */
    public function processWeeklyReport()
    {
        echo __FUNCTION__;
    }

    /**
     * http://localhost/vmusicchart-cms/crawler/processMonthlyReport
     * http://cms.vmusicchart.vn/crawler/processMonthlyReport
     */
    public function processMonthlyReport()
    {
        echo __FUNCTION__;
    }



} 